Skip to main content
GET
/
resume
/
{resume_id}
/
experience
Get all experiences
curl --request GET \
  --url https://api.letraz.app/api/v1/resume/{resume_id}/experience/ \
  --header 'Authorization: Basic <encoded-value>'
[
  {
    "id": "<string>",
    "user": "<string>",
    "resume_section": "<string>",
    "company_name": "<string>",
    "job_title": "<string>",
    "employment_type": "<string>",
    "country": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "city": "<string>",
    "started_from_month": 6,
    "started_from_year": 2000,
    "finished_at_month": 6,
    "finished_at_year": 2000,
    "current": true,
    "description": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://outline.letraz.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

resume_id
string
required

Resume ID of the resume the education belongs to. If you want to interact with the base educations, just put base in here

Response

id
string
required
read-only
user
string
required

The user who the experience entry belongs to.

resume_section
string
required
read-only
company_name
string
required

The name of the company the user worked at.

Maximum string length: 250
job_title
string
required

The title of the job the user had.

Maximum string length: 250
employment_type
string
required
read-only
country
string
required
read-only
created_at
string<date-time>
required
read-only

The date and time the experience entry was created.

updated_at
string<date-time>
required
read-only

The date and time the experience entry was last updated.

city
string | null

The city the company is located in. (optional)

Maximum string length: 50
started_from_month
integer | null

Month when the experience started (1-12).

Required range: 1 <= x <= 12
started_from_year
integer | null

Year when the experience started (YYYY).

Required range: 1900 <= x <= 2100
finished_at_month
integer | null

Month when the experience was completed (1-12).

Required range: 1 <= x <= 12
finished_at_year
integer | null

Year when the experience was completed (YYYY).

Required range: 1900 <= x <= 2100
current
boolean

Whether the user is currently working. default: False

description
string | null

The description of the experience entry. User can provide any kind of description for that user. Usually in HTML format to support rich text. (optional)

Maximum string length: 3000